Skip to content

Check menu update status

GET
/api/v3/menu/checkstatus/{trackingCode}
curl --request GET \
--url https://prod.store-management.glovo.alb.app.onlineservice.io/api/v3/menu/checkstatus/example \
--header 'Authorization: <Authorization>'

This API endpoint allows users to check the status of the menu update process in Glovo for a given transaction_id. The endpoint returns a status indicating the current state of the menu update process.

Possible values of the status are:

SUCCESS: The menu update process has been successfully completed. PROCESSING: The menu update process is still ongoing. FETCH_MENU_INVALID_PAYLOAD: The menu update process failed due to an invalid JSON input. NOT_PROCESSED: The menu update process failed due to incorrect integration configuration. LIMIT_EXCEEDED: The maximum number of menu updates allowed per day per store address has been exceeded. GLOVO_ERROR: The menu update process failed due to an error in the Glovo system. In case the status indicates an error, the endpoint returns additional information to help understand the cause of the error.

trackingCode
required
string

Status check result

Media typeapplication/json
object
transaction_id

Unique identifier of the asynchronous operation

string
status

Current status of the menu update

string
Allowed values: SUCCESS PROCESSING FETCH_MENU_INVALID_PAYLOAD FETCH_MENU_SERVER_ERROR FETCH_MENU_UNAUTHORIZED NOT_PROCESSED LIMIT_EXCEEDED GLOVO_ERROR
last_updated_at

Timestamp of the latest menu status update

string
details

Details for the current menu status

Array<object>

Details for the current menu status

object
Example
{
"transaction_id": "a946a2c7-f4e7-46ac-ae63-8a5497cb0ad9",
"status": "SUCCESS",
"last_updated_at": "2020-03-24T10:03:49.614Z",
"details": [
"Invalid section [\"Menus\"]: Section must contain at least one product"
]
}

Internal error

Media typeapplication/json
string
Examplegenerated
example